Public Member Functions

# wxDataViewIconText Class Reference
[wxDataViewCtrl Related Classes]

`#include <wx/dataview.h>`

Inheritance diagram for wxDataViewIconText:
[legend]

## Detailed Description

wxDataViewIconText is used by wxDataViewIconTextRenderer for data transfer.

This class can be converted to and from a wxVariant.

##

Library: wxAdvanced
Category: wxDataViewCtrl Related Classes

## Public Member Functions
const wxIcon & | GetIcon () const
| Gets the icon.
wxString | GetText () const
| Gets the text.
void | SetIcon (const wxIcon &icon)
| Set the icon.
void | SetText (const wxString &text)
| Set the text.
| wxDataViewIconText (const wxString &text=wxEmptyString, const wxIcon &icon=wxNullIcon)
| Constructor.
| wxDataViewIconText (const wxDataViewIconText &other)
| Constructor.

List of all members.

## Constructor & Destructor Documentation

wxDataViewIconText::wxDataViewIconText | ( | const wxString & | text = `wxEmptyString`,
|  | const wxIcon & | icon = `wxNullIcon` |
| ) |  |  |

Constructor.

wxDataViewIconText::wxDataViewIconText | ( | const wxDataViewIconText & | other | ) |

Constructor.

## Member Function Documentation

const wxIcon& wxDataViewIconText::GetIcon | ( |  | ) | const

Gets the icon.

wxString wxDataViewIconText::GetText | ( |  | ) | const

Gets the text.

void wxDataViewIconText::SetIcon | ( | const wxIcon & | icon | ) |

Set the icon.

void wxDataViewIconText::SetText | ( | const wxString & | text | ) |

Set the text.

|  | [ top ]